
/*------- blog main content wrapper start --------*/
.blog-post {
    &.blog-details {
        .tag-line {
            padding: 10px 0;
            margin-top: 20px;
            border-top: 1px solid $bdr-color;
            border-bottom: 1px solid $bdr-color;
            h4 {
                color: $black-soft;
                font-size: 16px;
                font-weight: 600;
                text-transform: capitalize;
                display: inline-block;
                padding-right: 5px;
            }
            a {
                color: $black-soft;
                font-style: italic;
                text-transform: capitalize;
                &:hover {
                    color: $theme-color;
                }
            }
        }
        .blog-sharing {
            margin-top: 30px;
            margin-bottom: 10px;
            h4 {
                color: $black-soft;
                font-size: 16px;
                font-weight: 600;
                text-transform: capitalize;
                display: block;
                padding-bottom: 10px;
            }
            a {
                color: $black-soft;
                font-size: 16px;
                height: 40px;
                width: 40px;
                text-align: center;
                line-height: 44px;
                display: inline-block;
                margin-right: 5px;
                background-color: #f7f7f7;
                border: 1px solid #f7f7f7;
                @include border-radius(50%);
                &:hover {
                    color: $white;
                    background-color: $theme-color;
                    border-color: $theme-color;
                }

            }
        }
    }
}
/*--- blog main content wrapper end ---*/

/*--- blog comment section start ---*/
.comment-section {
    padding: 15px;
    margin-bottom: 30px;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.1);
    h3 {
        color: $black-soft;
        font-size: 20px;
        font-weight: 700;
        line-height: 22px;
        padding-bottom: 15px;
        text-transform: uppercase;
    }
    ul {
        li {
            display: flex;
            padding: 10px 20px;
            margin-bottom: 30px;
            border: 1px solid $bdr-color;
            &:last-child {
                margin-bottom: 5px;
            }
            // Responsive
            @media #{$extra-small-mobile} {
                display: block;
            }
            .author-avatar {
                flex-basis: 66px;
                max-height: 62px;
                margin-right: 10px;
                // Responsive
                @media #{$extra-small-mobile} {
                    flex-basis: 100%;
                    max-width: 66px;
                    height: 62px;
                }
            }
            &.comment-children {
                margin-left: 40px;
            }
            .comment-body {
                flex-basis: 100%;
                h5 {
                    color: $black-soft;
                    font-size: 14px;
                    font-weight: 600;
                    padding-bottom: 5px;
                    text-transform: capitalize;
                }
                .comment-post-date {
                    color: $paragraph;
                    padding-bottom: 10px;
                }
                .reply-btn {
                    float: right;
                    a {
                        color: $black-soft;
                        font-size: 12px;
                        display: inline-block;
                        padding: 5px 15px 0;
                        @include border-radius(20px);
                        text-transform: capitalize;
                        border: 1px solid $bdr-color;
                        &:hover {
                            color: $white !important;
                            border-color: $theme-color;
                            background-color: $theme-color;
                        }
                    }
                }
            }
        }
    }
}
/*--- blog comment section end ---*/

/*------ blog comment box start -----*/
.blog-comment-wrapper {
    padding: 15px;
    box-shadow: 0 0 5px 0 rgba(0, 0, 0, 0.1);
    h3 {
        color: $black-soft;
        font-size: 20px;
        font-weight: 700;
        line-height: 22px;
        padding-bottom: 18px;
        text-transform: uppercase;
        border-bottom: 1px solid #f0f0f0;
    }
    p {
        margin-bottom: 10px;
        padding-top: 10px;
    }
    .comment-post-box {
        label {
            color: $black-soft;
            font-weight: 600;
            margin-bottom: 10px;
            display: block;
            text-transform: capitalize;
        }
        .coment-field {
            background: #f8f8f8;
            border: none;
            color: $paragraph;
            padding: 8px 10px;
            width: 100%;
        }
        textarea {
            height: 130px;
            margin-bottom: 20px;
            padding: 10px;
            width: 100%;
            background: #f8f8f8;
            border: none;
        }
    }
}

/*------- blog comment box end --------*/